> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gmicloud.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user's profile

> Update the current authenticated user's profile. Either **firstName** or **lastName** should be provided in the request body.



## OpenAPI

````yaml /api-spec/ias-public-api.yaml patch /me/profile
openapi: 3.0.3
info:
  title: IAM Service API
  description: APIs for IAM Service.
  version: 2.4.0
servers:
  - url: https://console.gmicloud.ai/api/v1
    description: IAM Service API
security: []
paths:
  /me/profile:
    patch:
      tags:
        - me
      summary: Update user's profile
      description: >-
        Update the current authenticated user's profile. Either **firstName** or
        **lastName** should be provided in the request body.
      operationId: updateUserProfile
      requestBody:
        description: >-
          The profile update request body. Either **firstName** or **lastName**
          should be provided.
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/updateProfileRequest'
      responses:
        '200':
          description: Successfully updated the user's profile.
        '400':
          description: >
            - [group:**request**, code:**1**]: The request body is required.

            - [group:**request**, code:**0**]: Invalid field in the request
            body.

            - [group:**user**, code:**3**]: Either firstName or lastName must be
            provided in the request body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrStatusMsg'
              examples:
                Either firstName or lastName must be provided in the request body:
                  summary: >-
                    Either firstName or lastName must be provided in the request
                    body.
                  value:
                    group: user
                    code: 3
                    message: >-
                      Either firstName or lastName must be provided in the
                      request body.
        '500':
          description: >
            - [group:**user**, code:**1401**]: Update user data encountered DB
            error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrStatusMsg'
              examples:
                Update user data encountered DB error:
                  summary: Update user data encountered DB error.
                  value:
                    group: user
                    code: 1401
                    message: Update user data encountered DB error.
                    traces:
                      - DB error occurred.
      security:
        - bearerAuth: []
components:
  schemas:
    updateProfileRequest:
      type: object
      x-go-name: updateProfileRequest
      properties:
        firstName:
          type: string
          description: The user's first name.
          example: john
          x-oapi-codegen-extra-tags:
            binding: omitempty
          x-go-type-skip-optional-pointer: true
        lastName:
          type: string
          description: The user's last name.
          example: doe
          x-oapi-codegen-extra-tags:
            binding: omitempty
          x-go-type-skip-optional-pointer: true
    ErrStatusMsg:
      type: object
      properties:
        group:
          type: string
          description: >-
            API function group\n -Will be "request" if there are invalid request
            parameters.
          x-oapi-codegen-extra-tags:
            binding: required
        code:
          type: integer
          description: The substatus error code for the API response.
          x-oapi-codegen-extra-tags:
            binding: required
        message:
          type: string
          description: The substatus error Message for API response.
          x-go-type-skip-optional-pointer: true
        traces:
          type: array
          items:
            type: string
          description: The original error messages.
          x-go-type-skip-optional-pointer: true
        validationDetail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationDetail'
          description: >-
            Returned when there are invalid request
            paremeters(group="request")\n List of invalid fields and the reason
            of error.
          x-go-type-skip-optional-pointer: true
      example:
        group: request
        code: 0
        validationDetail:
          - field: email
            expression: required
            originalValue: ''
            reason: This field is required.
      required:
        - group
        - code
    ValidationDetail:
      type: object
      properties:
        field:
          type: string
          description: The field of the request data.
          x-go-type-skip-optional-pointer: true
        expression:
          type: string
          description: The form of violation.
          x-go-type-skip-optional-pointer: true
        argument:
          type: string
          description: The number or data to support the expression.
          x-go-type-skip-optional-pointer: true
        originalValue:
          description: The original value from the request.
          x-go-type-skip-optional-pointer: true
        reason:
          type: string
          description: The reason for the validation error.
          x-go-type-skip-optional-pointer: true
      example:
        - field: fieldXXX
          expression: required
          originalValue: ''
          reason: This field is required.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        An access token used to authenticate a user and grant access to
        restricted APIs. It is issued by session APIs.

        For status codes related to this header, refer to the 

        [Common Headers
        Documentation](https://gmicloud.atlassian.net/wiki/spaces/CE/pages/47199534/Common+Headers#Authorization).

````